Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.primitives
Class Cone

    java.lang.Object
      threeD.raytracer.engine.AbstractSurface
          threeD.raytracer.primitives.Cone

All Implemented Interfaces:
  Surface

public class Cone
extends AbstractSurface

A Cone object represents a cone in 3d space.

Constructor Summary
`Cone()` Constructs a Cone object that represents a cone with a base radius of 1.0, centered at the origin, that is black.
`Cone(Vector location, double radius)` Constructs a Cone object that represents a cone with the specified base radius, and the specified location, that is black.
`Cone(Vector location, double radius, RGB color)` Constructs a Cone object that represents a cone with the specified base radius, location, and color.

Method Summary
`Vector` | `getNormalAt(Vector point)` Returns a Vector object that represents the vector normal to this cone at the point represented by the specified Vector object.
`boolean` | `intersect(Ray ray)` Returns true if the ray represented by the specified Ray object intersects the cone represented by this Cone object in real space.
`Intersection` | `intersectAt(Ray ray)` Returns an Intersection object representing the points along the ray represented by the specified Ray object that intersection between the ray and the cone represented by this Cone object occurs.

Methods inherited from class threeD.raytracer.engine.AbstractSurface
`addShader, addTexture, addTransform, calculateTransform, getColor, getColorAt, getLocation, getParent, getRotationCoefficients, getScaleCoefficients, getShadeBack, getShadeFront, getShaderSet, getSize, getTexture, getTextures, getTextureSet, getTransform, getTransform, getTransforms, removeTexture, removeTransform, setColor, setLocation, setParent, setRotationCoefficients, setScaleCoefficients, setShadeBack, setShadeFront, setShaders, setSize, setTexture, setTextures, setTransform, setTransforms, shade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cone

    public Cone()

  Constructs a Cone object that represents a cone with a base radius of 1.0, centered at the origin, that is black.

### Cone

    public Cone(Vector location,
                double radius)

  Constructs a Cone object that represents a cone with the specified base radius, and the specified location, that is black.

### Cone

    public Cone(Vector location,
                double radius,
                RGB color)

  Constructs a Cone object that represents a cone with the specified base radius, location, and color.

Method Detail

### getNormalAt

    public Vector getNormalAt(Vector point)

  Returns a Vector object that represents the vector normal to this cone at the point represented by the specified Vector object.

### intersect

    public boolean intersect(Ray ray)

  Returns true if the ray represented by the specified Ray object intersects the cone represented by this Cone object in real space.

### intersectAt

    public Intersection intersectAt(Ray ray)

  Returns an Intersection object representing the points along the ray represented by the specified Ray object that intersection between the ray and the cone represented by this Cone object occurs.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray